diff --git devel/xfconf/DESCR devel/xfconf/DESCR
index dedc111..7e1e487 100644
--- devel/xfconf/DESCR
+++ devel/xfconf/DESCR
@@ -1 +1 @@
-Simple client-server configuration storage and query system for Xfce.
+Xfconf
diff --git devel/xfconf/Makefile devel/xfconf/Makefile
index a9584d3..fed91e2 100644
--- devel/xfconf/Makefile
+++ devel/xfconf/Makefile
@@ -1,33 +1,23 @@
-# $NetBSD: Makefile,v 1.25 2014/05/29 23:36:30 wiz Exp $
+# $NetBSD$
 
-.include "../../meta-pkgs/xfce4/Makefile.common"
-
-DISTNAME=	xfconf-${XFCE4_VERSION}
-PKGREVISION=	22
+DISTNAME=	xfconf-4.10.0
 CATEGORIES=	devel
-COMMENT=	Xfce client-server configuration storage and query system
-
-PKGCONFIG_OVERRIDE=	xfconf/libxfconf-0.pc.in
-
-PERL5_CONFIGURE=	no
-PERL5_PACKLIST=		auto/Xfce4/Xfconf/.packlist
-
-CONFIGURE_ARGS+=	--with-perl-options=${MAKE_PARAMS}
+MASTER_SITES=	http://archive.xfce.org/src/xfce/xfconf/4.10/
+EXTRACT_SUFX=	.tar.bz2
 
-MAKE_DIRS+=	${PREFIX}/include/xfce4
+MAINTAINER=	pkgsrc-users@NetBSD.org
+HOMEPAGE=	http://www.xfce.org/
+COMMENT=	Xfconf
+LICENSE=	gnu-gpl-v2
 
-.include "../../mk/bsd.prefs.mk"
+GNU_CONFIGURE=	yes
+USE_LIBTOOL=	yes
+USE_PKGLOCALEDIR=yes
+USE_TOOLS+=	gmake pkg-config msgfmt perl intltool
 
-.if ${OPSYS} == "Darwin"
-CONFIGURE_ARGS+=	--disable-visibility
-.endif
+PKGCONFIG_OVERRIDE+=	xfconf/libxfconf-0.pc.in
 
-BUILDLINK_API_DEPENDS.dbus+=		dbus>=1.0.0
-BUILDLINK_API_DEPENDS.dbus-glib+=	dbus-glib>=0.72
-
-.include "../../devel/p5-glib2/buildlink3.mk"
-.include "../../sysutils/dbus/buildlink3.mk"
-.include "../../sysutils/dbus-glib/buildlink3.mk"
 .include "../../x11/libxfce4util/buildlink3.mk"
-.include "../../lang/perl5/module.mk"
+.include "../../sysutils/dbus-glib/buildlink3.mk"
+
 .include "../../mk/bsd.pkg.mk"
diff --git devel/xfconf/PLIST devel/xfconf/PLIST
index 20c7fbd..f1c05e6 100644
--- devel/xfconf/PLIST
+++ devel/xfconf/PLIST
@@ -1,4 +1,4 @@
-@comment $NetBSD: PLIST,v 1.1.1.1 2009/09/16 01:06:30 reed Exp $
+@comment $NetBSD$
 bin/xfconf-query
 include/xfce4/xfconf-0/xfconf/xfconf-binding.h
 include/xfce4/xfconf-0/xfconf/xfconf-channel.h
@@ -7,7 +7,7 @@ include/xfce4/xfconf-0/xfconf/xfconf-types.h
 include/xfce4/xfconf-0/xfconf/xfconf.h
 lib/libxfconf-0.la
 lib/pkgconfig/libxfconf-0.pc
-libexec/xfconfd
+lib/xfce4/xfconf/xfconfd
 share/dbus-1/services/org.xfce.Xfconf.service
 share/gtk-doc/html/xfconf/ch01.html
 share/gtk-doc/html/xfconf/ch02.html
@@ -25,29 +25,49 @@ share/gtk-doc/html/xfconf/xfconf-xfconf-channel.html
 share/gtk-doc/html/xfconf/xfconf-xfconf-errors.html
 share/gtk-doc/html/xfconf/xfconf-xfconf-types.html
 share/gtk-doc/html/xfconf/xfconf-xfconf.html
-share/gtk-doc/html/xfconf/xfconf.devhelp
 share/gtk-doc/html/xfconf/xfconf.devhelp2
+share/locale/ar/LC_MESSAGES/xfconf.mo
+share/locale/ast/LC_MESSAGES/xfconf.mo
+share/locale/bn/LC_MESSAGES/xfconf.mo
 share/locale/ca/LC_MESSAGES/xfconf.mo
 share/locale/cs/LC_MESSAGES/xfconf.mo
 share/locale/da/LC_MESSAGES/xfconf.mo
 share/locale/de/LC_MESSAGES/xfconf.mo
+share/locale/el/LC_MESSAGES/xfconf.mo
+share/locale/en_GB/LC_MESSAGES/xfconf.mo
 share/locale/es/LC_MESSAGES/xfconf.mo
 share/locale/eu/LC_MESSAGES/xfconf.mo
 share/locale/fi/LC_MESSAGES/xfconf.mo
 share/locale/fr/LC_MESSAGES/xfconf.mo
 share/locale/gl/LC_MESSAGES/xfconf.mo
+share/locale/he/LC_MESSAGES/xfconf.mo
+share/locale/hr/LC_MESSAGES/xfconf.mo
 share/locale/hu/LC_MESSAGES/xfconf.mo
 share/locale/id/LC_MESSAGES/xfconf.mo
+share/locale/is/LC_MESSAGES/xfconf.mo
 share/locale/it/LC_MESSAGES/xfconf.mo
 share/locale/ja/LC_MESSAGES/xfconf.mo
+share/locale/kk/LC_MESSAGES/xfconf.mo
+share/locale/ko/LC_MESSAGES/xfconf.mo
+share/locale/lt/LC_MESSAGES/xfconf.mo
+share/locale/lv/LC_MESSAGES/xfconf.mo
 share/locale/nb/LC_MESSAGES/xfconf.mo
 share/locale/nl/LC_MESSAGES/xfconf.mo
+share/locale/nn/LC_MESSAGES/xfconf.mo
+share/locale/pa/LC_MESSAGES/xfconf.mo
 share/locale/pl/LC_MESSAGES/xfconf.mo
 share/locale/pt/LC_MESSAGES/xfconf.mo
 share/locale/pt_BR/LC_MESSAGES/xfconf.mo
 share/locale/ro/LC_MESSAGES/xfconf.mo
 share/locale/ru/LC_MESSAGES/xfconf.mo
+share/locale/si/LC_MESSAGES/xfconf.mo
+share/locale/sk/LC_MESSAGES/xfconf.mo
 share/locale/sv/LC_MESSAGES/xfconf.mo
+share/locale/te/LC_MESSAGES/xfconf.mo
 share/locale/tr/LC_MESSAGES/xfconf.mo
+share/locale/ug/LC_MESSAGES/xfconf.mo
 share/locale/uk/LC_MESSAGES/xfconf.mo
+share/locale/ur/LC_MESSAGES/xfconf.mo
+share/locale/ur_PK/LC_MESSAGES/xfconf.mo
 share/locale/zh_CN/LC_MESSAGES/xfconf.mo
+share/locale/zh_TW/LC_MESSAGES/xfconf.mo
diff --git devel/xfconf/buildlink3.mk devel/xfconf/buildlink3.mk
index f84cea1..83bc181 100644
--- devel/xfconf/buildlink3.mk
+++ devel/xfconf/buildlink3.mk
@@ -1,17 +1,16 @@
-# $NetBSD: buildlink3.mk,v 1.9 2012/09/15 10:04:22 obache Exp $
+# $NetBSD $
 
 BUILDLINK_TREE+=	xfconf
 
 .if !defined(XFCONF_BUILDLINK3_MK)
 XFCONF_BUILDLINK3_MK:=
 
-BUILDLINK_API_DEPENDS.xfconf+=	xfconf>=4.6.0
-BUILDLINK_ABI_DEPENDS.xfconf+=	xfconf>=4.6.1nb11
+BUILDLINK_API_DEPENDS.xfconf+=	xfconf>=4.10.0
+BUILDLINK_ABI_DEPENDS.xfconf+=	xfconf>=4.10.0
 BUILDLINK_PKGSRCDIR.xfconf?=	../../devel/xfconf
 
-.include "../../devel/glib2/buildlink3.mk"
+.include "../../x11/libxfce4util/buildlink3.mk"
 .include "../../sysutils/dbus-glib/buildlink3.mk"
-.include "../../sysutils/dbus/buildlink3.mk"
 .endif	# XFCONF_BUILDLINK3_MK
 
 BUILDLINK_TREE+=	-xfconf
diff --git devel/xfconf/distinfo devel/xfconf/distinfo
index 412204f..9d165fd 100644
--- devel/xfconf/distinfo
+++ devel/xfconf/distinfo
@@ -1,5 +1,5 @@
-$NetBSD: distinfo,v 1.1.1.1 2009/09/16 01:06:30 reed Exp $
+$NetBSD$
 
-SHA1 (xfconf-4.6.1.tar.bz2) = 6df092942c5c5af5d65a58589fb85e29755a37ee
-RMD160 (xfconf-4.6.1.tar.bz2) = 970d3bf8bdd18c211b82fd0eb6ad2784cb8c52ef
-Size (xfconf-4.6.1.tar.bz2) = 440499 bytes
+SHA1 (xfconf-4.10.0.tar.bz2) = c1ee751ea1139f5b656476b0ef2d46d52630aa47
+RMD160 (xfconf-4.10.0.tar.bz2) = 985cf66f1afd7947f74bc7442b9308df11a0a4ca
+Size (xfconf-4.10.0.tar.bz2) = 517425 bytes
diff --git graphics/xfce4-icon-theme/Makefile graphics/xfce4-icon-theme/Makefile
index a9c20da..25d82e8 100644
--- graphics/xfce4-icon-theme/Makefile
+++ graphics/xfce4-icon-theme/Makefile
@@ -1,13 +1,19 @@
 # $NetBSD: Makefile,v 1.29 2014/05/05 00:48:01 ryoon Exp $
 
-.include "../../meta-pkgs/xfce4/Makefile.common"
-
-XFCE4_VERSION=	4.4.3
-
-DISTNAME=	xfce4-icon-theme-${XFCE4_VERSION}
-PKGREVISION=	18
+DISTNAME=	xfce4-icon-theme-4.4.3
+PKGREVISION=	19
 CATEGORIES=	graphics
+MASTER_SITES=	http://archive.xfce.org/src/art/xfce4-icon-theme/4.4/
+EXTRACT_SUFX=	.tar.bz2
+
+MAINTAINER=	pkgsrc-users@NetBSD.org
+HOMEPAGE=	http://www.xfce.org/
 COMMENT=	Xfce icon themes
+LICENSE=	gnu-gpl-v2
+
+GNU_CONFIGURE=		yes
+USE_TOOLS+=		gmake intltool msgfmt pkg-config perl
+USE_PKGLOCALEDIR=	yes
 
 .include "../../graphics/hicolor-icon-theme/buildlink3.mk"
 .include "../../mk/bsd.pkg.mk"
diff --git graphics/xfce4-icon-theme/buildlink3.mk graphics/xfce4-icon-theme/buildlink3.mk
index 447ce1c..ff50f80 100644
--- graphics/xfce4-icon-theme/buildlink3.mk
+++ graphics/xfce4-icon-theme/buildlink3.mk
@@ -10,9 +10,6 @@ BUILDLINK_ABI_DEPENDS.xfce4-icon-theme+=	xfce4-icon-theme>=4.4.3nb18
 BUILDLINK_PKGSRCDIR.xfce4-icon-theme?=	../../graphics/xfce4-icon-theme
 
 .include "../../graphics/hicolor-icon-theme/buildlink3.mk"
-.include "../../x11/libSM/buildlink3.mk"
-.include "../../x11/gtk2/buildlink3.mk"
-.include "../../devel/glib2/buildlink3.mk"
 .endif # XFCE4_ICON_THEME_BUILDLINK3_MK
 
 BUILDLINK_TREE+=	-xfce4-icon-theme
diff --git meta-pkgs/xfce4/Makefile meta-pkgs/xfce4/Makefile
index ce24ff2..e30f10b 100644
--- meta-pkgs/xfce4/Makefile
+++ meta-pkgs/xfce4/Makefile
@@ -2,31 +2,24 @@
 
 META_PACKAGE=	yes
 
-.include "Makefile.common"
-
-DISTNAME=	xfce4-${XFCE4_VERSION}
-PKGREVISION=	32
+DISTNAME=	xfce4-4.10.0
 CATEGORIES=	meta-pkgs
 COMMENT=	Xfce
+MAINTAINER=pkgsrc-users@NetBSD.org
+HOMEPAGE=	http://www.xfce.org/
+LICENSE=	gnu-gpl-v2
 
-.include "../../audio/xfce4-mixer/buildlink3.mk"
-.include "../../editors/xfce4-mousepad/buildlink3.mk"
-.include "../../graphics/gnome-icon-theme/buildlink3.mk"
-.include "../../graphics/xfce4-icon-theme/buildlink3.mk"
-.include "../../print/xfce4-print/buildlink3.mk"
-.include "../../sysutils/xfce4-appfinder/buildlink3.mk"
-.include "../../sysutils/xfce4-thunar/buildlink3.mk"
-.include "../../sysutils/xfce4-volman/buildlink3.mk"
-.include "../../sysutils/xfce4-xarchiver/buildlink3.mk"
-.include "../../time/xfce4-orage/buildlink3.mk"
-.include "../../wm/xfce4-wm-themes/buildlink3.mk"
-.include "../../wm/xfce4-wm/buildlink3.mk"
-.include "../../x11/xfce4-desktop/buildlink3.mk"
-.include "../../x11/xfce4-gtk2-engine/buildlink3.mk"
-.include "../../x11/xfce4-panel/buildlink3.mk"
-.include "../../x11/xfce4-session/buildlink3.mk"
-.include "../../x11/xfce4-settings/buildlink3.mk"
-.include "../../x11/xfce4-terminal/buildlink3.mk"
-.include "../../x11/xfce4-utils/buildlink3.mk"
+DEPENDS+=	gnome-icon-theme>=2.26.0:../../graphics/gnome-icon-theme
+DEPENDS+=	xfce4-icon-theme>=4.4.3:../../graphics/xfce4-icon-theme
+DEPENDS+=	xfce4-appfinder>=4.10.0:../../sysutils/xfce4-appfinder
+DEPENDS+=	Thunar>=1.6.3:../../sysutils/thunar
+DEPENDS+=	tumbler>=0.1.0:../../sysutils/tumbler
+DEPENDS+=	xfwm4>=4.10.0:../../wm/xfwm4
+DEPENDS+=	xfdesktop>=4.10.0:../../x11/xfdesktop
+DEPENDS+=	xfce4-panel>=4.10.0:../../x11/xfce4-panel
+DEPENDS+=	xfce4-session>=4.10.0:../../x11/xfce4-session
+DEPENDS+=	xfce4-settings>=4.10.0:../../x11/xfce4-settings
+DEPENDS+=	gtk-xfce-engine>=3.0.1:../../x11/gtk-xfce-engine
+DEPENDS+=	xfce4-terminal>=0.6.3:../../x11/xfce4-terminal
 
 .include "../../mk/bsd.pkg.mk"
diff --git sysutils/thunar/DESCR sysutils/thunar/DESCR
new file mode 100644
index 0000000..8c10054
--- /dev/null
+++ sysutils/thunar/DESCR
@@ -0,0 +1 @@
+Xfce file manager
diff --git sysutils/thunar/Makefile sysutils/thunar/Makefile
new file mode 100644
index 0000000..a1b08a0
--- /dev/null
+++ sysutils/thunar/Makefile
@@ -0,0 +1,31 @@
+# $NetBSD$
+
+DISTNAME=	Thunar-1.6.3
+CATEGORIES=	sysutils
+MASTER_SITES=	http://archive.xfce.org/src/xfce/thunar/1.6/
+EXTRACT_SUFX=	.tar.bz2
+
+MAINTAINER=	pkgsrc-users@NetBSD.org
+HOMEPAGE=	http://www.xfce.org/
+COMMENT=	Xfce file manager
+LICENSE=	gnu-gpl-v2
+
+GNU_CONFIGURE=	yes
+USE_LIBTOOL=	yes
+USE_PKGLOCALEDIR=yes
+USE_TOOLS+=	gmake pkg-config msgfmt perl intltool
+
+PKGCONFIG_OVERRIDE+=	thunarx/thunarx-2.pc.in
+
+CONFLICTS+=	xfce4-thunar-[0-9]*
+
+.include "../../x11/libxfce4ui/buildlink3.mk"
+.include "../../x11/exo/buildlink3.mk"
+.include "../../graphics/libexif/buildlink3.mk"
+.include "../../devel/xfconf/buildlink3.mk"
+.include "../../x11/xfce4-panel/buildlink3.mk"
+.include "../../graphics/hicolor-icon-theme/buildlink3.mk"
+
+.include "../../sysutils/desktop-file-utils/desktopdb.mk"
+
+.include "../../mk/bsd.pkg.mk"
diff --git sysutils/thunar/PLIST sysutils/thunar/PLIST
new file mode 100644
index 0000000..aefb21f
--- /dev/null
+++ sysutils/thunar/PLIST
@@ -0,0 +1,133 @@
+@comment $NetBSD$
+bin/Thunar
+bin/thunar
+bin/thunar-settings
+etc/xdg/Thunar/uca.xml
+include/thunarx-2/thunarx/thunarx-config.h
+include/thunarx-2/thunarx/thunarx-file-info.h
+include/thunarx-2/thunarx/thunarx-menu-provider.h
+include/thunarx-2/thunarx/thunarx-preferences-provider.h
+include/thunarx-2/thunarx/thunarx-property-page-provider.h
+include/thunarx-2/thunarx/thunarx-property-page.h
+include/thunarx-2/thunarx/thunarx-provider-factory.h
+include/thunarx-2/thunarx/thunarx-provider-plugin.h
+include/thunarx-2/thunarx/thunarx-renamer-provider.h
+include/thunarx-2/thunarx/thunarx-renamer.h
+include/thunarx-2/thunarx/thunarx.h
+lib/Thunar/ThunarBulkRename
+lib/Thunar/thunar-sendto-email
+lib/libthunarx-2.la
+lib/pkgconfig/thunarx-2.pc
+lib/thunarx-2/thunar-apr.la
+lib/thunarx-2/thunar-sbr.la
+lib/thunarx-2/thunar-uca.la
+lib/thunarx-2/thunar-wallpaper-plugin.la
+lib/xfce4/panel/plugins/libthunar-tpa.la
+man/man1/Thunar.1
+share/Thunar/sendto/thunar-sendto-email.desktop
+share/applications/Thunar-bulk-rename.desktop
+share/applications/Thunar-folder-handler.desktop
+share/applications/Thunar.desktop
+share/applications/thunar-settings.desktop
+share/dbus-1/services/org.xfce.FileManager.service
+share/dbus-1/services/org.xfce.Thunar.service
+share/doc/Thunar/README.gtkrc
+share/doc/Thunar/README.thunarrc
+share/gtk-doc/html/thunarx/ThunarxFileInfo.html
+share/gtk-doc/html/thunarx/ThunarxMenuProvider.html
+share/gtk-doc/html/thunarx/ThunarxPreferencesProvider.html
+share/gtk-doc/html/thunarx/ThunarxPropertyPage.html
+share/gtk-doc/html/thunarx/ThunarxPropertyPageProvider.html
+share/gtk-doc/html/thunarx/ThunarxProviderFactory.html
+share/gtk-doc/html/thunarx/ThunarxProviderPlugin.html
+share/gtk-doc/html/thunarx/ThunarxRenamer.html
+share/gtk-doc/html/thunarx/ThunarxRenamerProvider.html
+share/gtk-doc/html/thunarx/abstraction.png
+share/gtk-doc/html/thunarx/bulk-rename.png
+share/gtk-doc/html/thunarx/home.png
+share/gtk-doc/html/thunarx/index.html
+share/gtk-doc/html/thunarx/index.sgml
+share/gtk-doc/html/thunarx/ix01.html
+share/gtk-doc/html/thunarx/left.png
+share/gtk-doc/html/thunarx/menu-provider.png
+share/gtk-doc/html/thunarx/right.png
+share/gtk-doc/html/thunarx/say-hello.png
+share/gtk-doc/html/thunarx/style.css
+share/gtk-doc/html/thunarx/thunarx-Variables-and-functions-to-check-the-library-version.html
+share/gtk-doc/html/thunarx/thunarx-abstraction-layer.html
+share/gtk-doc/html/thunarx/thunarx-fundamentals.html
+share/gtk-doc/html/thunarx/thunarx-overview.html
+share/gtk-doc/html/thunarx/thunarx-providers.html
+share/gtk-doc/html/thunarx/thunarx-using-extensions.html
+share/gtk-doc/html/thunarx/thunarx-writing-extensions-advanced-topics.html
+share/gtk-doc/html/thunarx/thunarx-writing-extensions-getting-started.html
+share/gtk-doc/html/thunarx/thunarx-writing-extensions.html
+share/gtk-doc/html/thunarx/thunarx.devhelp2
+share/gtk-doc/html/thunarx/up.png
+share/icons/hicolor/128x128/apps/Thunar.png
+share/icons/hicolor/16x16/apps/Thunar.png
+share/icons/hicolor/16x16/stock/navigation/stock_folder-copy.png
+share/icons/hicolor/16x16/stock/navigation/stock_folder-move.png
+share/icons/hicolor/16x16/stock/navigation/stock_thunar-shortcuts.png
+share/icons/hicolor/24x24/apps/Thunar.png
+share/icons/hicolor/24x24/stock/navigation/stock_folder-copy.png
+share/icons/hicolor/24x24/stock/navigation/stock_folder-move.png
+share/icons/hicolor/48x48/apps/Thunar.png
+share/icons/hicolor/64x64/apps/Thunar.png
+share/icons/hicolor/scalable/apps/Thunar.svg
+share/locale/am/LC_MESSAGES/Thunar.mo
+share/locale/ar/LC_MESSAGES/Thunar.mo
+share/locale/ast/LC_MESSAGES/Thunar.mo
+share/locale/be/LC_MESSAGES/Thunar.mo
+share/locale/bg/LC_MESSAGES/Thunar.mo
+share/locale/bn/LC_MESSAGES/Thunar.mo
+share/locale/ca/LC_MESSAGES/Thunar.mo
+share/locale/cs/LC_MESSAGES/Thunar.mo
+share/locale/da/LC_MESSAGES/Thunar.mo
+share/locale/de/LC_MESSAGES/Thunar.mo
+share/locale/el/LC_MESSAGES/Thunar.mo
+share/locale/en_GB/LC_MESSAGES/Thunar.mo
+share/locale/eo/LC_MESSAGES/Thunar.mo
+share/locale/es/LC_MESSAGES/Thunar.mo
+share/locale/et/LC_MESSAGES/Thunar.mo
+share/locale/eu/LC_MESSAGES/Thunar.mo
+share/locale/fi/LC_MESSAGES/Thunar.mo
+share/locale/fr/LC_MESSAGES/Thunar.mo
+share/locale/gl/LC_MESSAGES/Thunar.mo
+share/locale/he/LC_MESSAGES/Thunar.mo
+share/locale/hr/LC_MESSAGES/Thunar.mo
+share/locale/hu/LC_MESSAGES/Thunar.mo
+share/locale/id/LC_MESSAGES/Thunar.mo
+share/locale/is/LC_MESSAGES/Thunar.mo
+share/locale/it/LC_MESSAGES/Thunar.mo
+share/locale/ja/LC_MESSAGES/Thunar.mo
+share/locale/kk/LC_MESSAGES/Thunar.mo
+share/locale/ko/LC_MESSAGES/Thunar.mo
+share/locale/lt/LC_MESSAGES/Thunar.mo
+share/locale/lv/LC_MESSAGES/Thunar.mo
+share/locale/nb/LC_MESSAGES/Thunar.mo
+share/locale/nl/LC_MESSAGES/Thunar.mo
+share/locale/nn/LC_MESSAGES/Thunar.mo
+share/locale/pa/LC_MESSAGES/Thunar.mo
+share/locale/pl/LC_MESSAGES/Thunar.mo
+share/locale/pt/LC_MESSAGES/Thunar.mo
+share/locale/pt_BR/LC_MESSAGES/Thunar.mo
+share/locale/ro/LC_MESSAGES/Thunar.mo
+share/locale/ru/LC_MESSAGES/Thunar.mo
+share/locale/si/LC_MESSAGES/Thunar.mo
+share/locale/sk/LC_MESSAGES/Thunar.mo
+share/locale/sl/LC_MESSAGES/Thunar.mo
+share/locale/sq/LC_MESSAGES/Thunar.mo
+share/locale/sr/LC_MESSAGES/Thunar.mo
+share/locale/sv/LC_MESSAGES/Thunar.mo
+share/locale/te/LC_MESSAGES/Thunar.mo
+share/locale/tr/LC_MESSAGES/Thunar.mo
+share/locale/ug/LC_MESSAGES/Thunar.mo
+share/locale/uk/LC_MESSAGES/Thunar.mo
+share/locale/ur/LC_MESSAGES/Thunar.mo
+share/locale/ur_PK/LC_MESSAGES/Thunar.mo
+share/locale/vi/LC_MESSAGES/Thunar.mo
+share/locale/zh_CN/LC_MESSAGES/Thunar.mo
+share/locale/zh_TW/LC_MESSAGES/Thunar.mo
+share/pixmaps/Thunar/Thunar-about-logo.png
+share/xfce4/panel-plugins/thunar-tpa.desktop
diff --git sysutils/thunar/distinfo sysutils/thunar/distinfo
new file mode 100644
index 0000000..a51da44
--- /dev/null
+++ sysutils/thunar/distinfo
@@ -0,0 +1,5 @@
+$NetBSD$
+
+SHA1 (Thunar-1.6.3.tar.bz2) = 47660cbed5709d7d529f8774352813995dba0cef
+RMD160 (Thunar-1.6.3.tar.bz2) = 3b449e3ab30e539a91239d9c93888199dbc7f1a7
+Size (Thunar-1.6.3.tar.bz2) = 1983127 bytes
diff --git sysutils/tumbler/DESCR sysutils/tumbler/DESCR
new file mode 100644
index 0000000..c2a32e9
--- /dev/null
+++ sysutils/tumbler/DESCR
@@ -0,0 +1 @@
+Xfce thumbnail service
diff --git sysutils/tumbler/Makefile sysutils/tumbler/Makefile
new file mode 100644
index 0000000..961e8d4
--- /dev/null
+++ sysutils/tumbler/Makefile
@@ -0,0 +1,27 @@
+# $NetBSD$
+
+DISTNAME=	tumbler-0.1.30
+CATEGORIES=	sysutils
+MASTER_SITES=	http://archive.xfce.org/src/xfce/tumbler/0.1/
+EXTRACT_SUFX=	.tar.bz2
+
+MAINTAINER=	pkgsrc-users@NetBSD.org
+HOMEPAGE=	http://www.xfce.org/
+COMMENT=	Xfce thumbnail service
+LICENSE=	gnu-gpl-v2
+
+GNU_CONFIGURE=	yes
+USE_LIBTOOL=	yes
+USE_PKGLOCALEDIR=yes
+USE_TOOLS+=	gmake pkg-config msgfmt perl intltool
+
+PKGCONFIG_OVERRIDE+=	tumbler/tumbler-1.pc.in
+
+.include "../../devel/glib2/buildlink3.mk"
+.include "../../sysutils/dbus-glib/buildlink3.mk"
+.include "../../graphics/gdk-pixbuf2/buildlink3.mk"
+.include "../../mk/jpeg.buildlink3.mk"
+.include "../../print/poppler-glib/buildlink3.mk"
+# TODO: other thumbnailers (video, etc), use options?
+
+.include "../../mk/bsd.pkg.mk"
diff --git sysutils/tumbler/PLIST sysutils/tumbler/PLIST
new file mode 100644
index 0000000..665ba2a
--- /dev/null
+++ sysutils/tumbler/PLIST
@@ -0,0 +1,108 @@
+@comment $NetBSD$
+etc/xdg/tumbler/tumbler.rc
+include/tumbler-1/tumbler/tumbler-abstract-thumbnailer.h
+include/tumbler-1/tumbler/tumbler-cache-plugin.h
+include/tumbler-1/tumbler/tumbler-cache.h
+include/tumbler-1/tumbler/tumbler-config.h
+include/tumbler-1/tumbler/tumbler-enum-types.h
+include/tumbler-1/tumbler/tumbler-error.h
+include/tumbler-1/tumbler/tumbler-file-info.h
+include/tumbler-1/tumbler/tumbler-glib-extensions.h
+include/tumbler-1/tumbler/tumbler-marshal.h
+include/tumbler-1/tumbler/tumbler-provider-factory.h
+include/tumbler-1/tumbler/tumbler-provider-plugin.h
+include/tumbler-1/tumbler/tumbler-thumbnail-flavor.h
+include/tumbler-1/tumbler/tumbler-thumbnail.h
+include/tumbler-1/tumbler/tumbler-thumbnailer-provider.h
+include/tumbler-1/tumbler/tumbler-thumbnailer.h
+include/tumbler-1/tumbler/tumbler-util.h
+include/tumbler-1/tumbler/tumbler.h
+lib/libtumbler-1.la
+lib/pkgconfig/tumbler-1.pc
+lib/tumbler-1/plugins/cache/tumbler-cache-plugin.so
+lib/tumbler-1/plugins/cache/tumbler-xdg-cache.la
+lib/tumbler-1/plugins/tumbler-font-thumbnailer.la
+lib/tumbler-1/plugins/tumbler-jpeg-thumbnailer.la
+lib/tumbler-1/plugins/tumbler-pixbuf-thumbnailer.la
+lib/tumbler-1/plugins/tumbler-poppler-thumbnailer.la
+lib/tumbler-1/tumblerd
+share/dbus-1/services/org.xfce.Tumbler.Cache1.service
+share/dbus-1/services/org.xfce.Tumbler.Manager1.service
+share/dbus-1/services/org.xfce.Tumbler.Thumbnailer1.service
+share/gtk-doc/html/tumbler/TumblerAbstractThumbnailer.html
+share/gtk-doc/html/tumbler/TumblerCache.html
+share/gtk-doc/html/tumbler/TumblerThumbnail.html
+share/gtk-doc/html/tumbler/TumblerThumbnailerProvider.html
+share/gtk-doc/html/tumbler/api-index-full.html
+share/gtk-doc/html/tumbler/extension-api.html
+share/gtk-doc/html/tumbler/extension-tutorial.html
+share/gtk-doc/html/tumbler/home.png
+share/gtk-doc/html/tumbler/index.html
+share/gtk-doc/html/tumbler/index.sgml
+share/gtk-doc/html/tumbler/left-insensitive.png
+share/gtk-doc/html/tumbler/left.png
+share/gtk-doc/html/tumbler/miscellaneous.html
+share/gtk-doc/html/tumbler/object-tree.html
+share/gtk-doc/html/tumbler/pt01.html
+share/gtk-doc/html/tumbler/right-insensitive.png
+share/gtk-doc/html/tumbler/right.png
+share/gtk-doc/html/tumbler/style.css
+share/gtk-doc/html/tumbler/thumbnails.html
+share/gtk-doc/html/tumbler/tumbler-Error-Domain-and-Types.html
+share/gtk-doc/html/tumbler/tumbler-Various-Enumeration-Types.html
+share/gtk-doc/html/tumbler/tumbler-Version-Information-and-Compatibility-Checks.html
+share/gtk-doc/html/tumbler/tumbler-tumbler-file-info.html
+share/gtk-doc/html/tumbler/tumbler-tumbler-provider-factory.html
+share/gtk-doc/html/tumbler/tumbler-tumbler-provider-plugin.html
+share/gtk-doc/html/tumbler/tumbler.devhelp2
+share/gtk-doc/html/tumbler/up-insensitive.png
+share/gtk-doc/html/tumbler/up.png
+share/locale/ar/LC_MESSAGES/tumbler.mo
+share/locale/ast/LC_MESSAGES/tumbler.mo
+share/locale/bg/LC_MESSAGES/tumbler.mo
+share/locale/bn/LC_MESSAGES/tumbler.mo
+share/locale/ca/LC_MESSAGES/tumbler.mo
+share/locale/cs/LC_MESSAGES/tumbler.mo
+share/locale/da/LC_MESSAGES/tumbler.mo
+share/locale/de/LC_MESSAGES/tumbler.mo
+share/locale/el/LC_MESSAGES/tumbler.mo
+share/locale/en_AU/LC_MESSAGES/tumbler.mo
+share/locale/en_GB/LC_MESSAGES/tumbler.mo
+share/locale/es/LC_MESSAGES/tumbler.mo
+share/locale/eu/LC_MESSAGES/tumbler.mo
+share/locale/fi/LC_MESSAGES/tumbler.mo
+share/locale/fr/LC_MESSAGES/tumbler.mo
+share/locale/gl/LC_MESSAGES/tumbler.mo
+share/locale/he/LC_MESSAGES/tumbler.mo
+share/locale/hu/LC_MESSAGES/tumbler.mo
+share/locale/id/LC_MESSAGES/tumbler.mo
+share/locale/is/LC_MESSAGES/tumbler.mo
+share/locale/it/LC_MESSAGES/tumbler.mo
+share/locale/ja/LC_MESSAGES/tumbler.mo
+share/locale/kk/LC_MESSAGES/tumbler.mo
+share/locale/ko/LC_MESSAGES/tumbler.mo
+share/locale/lt/LC_MESSAGES/tumbler.mo
+share/locale/lv/LC_MESSAGES/tumbler.mo
+share/locale/ms/LC_MESSAGES/tumbler.mo
+share/locale/nb/LC_MESSAGES/tumbler.mo
+share/locale/nl/LC_MESSAGES/tumbler.mo
+share/locale/nn/LC_MESSAGES/tumbler.mo
+share/locale/oc/LC_MESSAGES/tumbler.mo
+share/locale/pa/LC_MESSAGES/tumbler.mo
+share/locale/pl/LC_MESSAGES/tumbler.mo
+share/locale/pt/LC_MESSAGES/tumbler.mo
+share/locale/pt_BR/LC_MESSAGES/tumbler.mo
+share/locale/ro/LC_MESSAGES/tumbler.mo
+share/locale/ru/LC_MESSAGES/tumbler.mo
+share/locale/si/LC_MESSAGES/tumbler.mo
+share/locale/sk/LC_MESSAGES/tumbler.mo
+share/locale/sr/LC_MESSAGES/tumbler.mo
+share/locale/sv/LC_MESSAGES/tumbler.mo
+share/locale/te/LC_MESSAGES/tumbler.mo
+share/locale/th/LC_MESSAGES/tumbler.mo
+share/locale/tr/LC_MESSAGES/tumbler.mo
+share/locale/ug/LC_MESSAGES/tumbler.mo
+share/locale/uk/LC_MESSAGES/tumbler.mo
+share/locale/zh_CN/LC_MESSAGES/tumbler.mo
+share/locale/zh_HK/LC_MESSAGES/tumbler.mo
+share/locale/zh_TW/LC_MESSAGES/tumbler.mo
diff --git sysutils/tumbler/distinfo sysutils/tumbler/distinfo
new file mode 100644
index 0000000..30ac9d6
--- /dev/null
+++ sysutils/tumbler/distinfo
@@ -0,0 +1,5 @@
+$NetBSD$
+
+SHA1 (tumbler-0.1.30.tar.bz2) = fa0dc44bc414e214a2f1eb80c91ba7869d9f8240
+RMD160 (tumbler-0.1.30.tar.bz2) = eedbb61c917ad9f16edaf77a2069745a61ce9ef3
+Size (tumbler-0.1.30.tar.bz2) = 515676 bytes
diff --git sysutils/xfce4-appfinder/DESCR sysutils/xfce4-appfinder/DESCR
index f7f6fec..e889e64 100644
--- sysutils/xfce4-appfinder/DESCR
+++ sysutils/xfce4-appfinder/DESCR
@@ -1 +1 @@
-Application finder for Xfce.
+Xfce appfinder
diff --git sysutils/xfce4-appfinder/Makefile sysutils/xfce4-appfinder/Makefile
index edceb46..88b3a80 100644
--- sysutils/xfce4-appfinder/Makefile
+++ sysutils/xfce4-appfinder/Makefile
@@ -1,17 +1,23 @@
-# $NetBSD: Makefile,v 1.36 2014/05/05 00:48:22 ryoon Exp $
+# $NetBSD$
 
-.include "../../meta-pkgs/xfce4/Makefile.common"
-
-DISTNAME=	xfce4-appfinder-${XFCE4_VERSION}
-PKGREVISION=	23
+DISTNAME=	xfce4-appfinder-4.10.1
 CATEGORIES=	sysutils
-COMMENT=	Xfce application finder
+MASTER_SITES=	http://archive.xfce.org/src/xfce/xfce4-appfinder/4.10/
+EXTRACT_SUFX=	.tar.bz2
+
+MAINTAINER=	pkgsrc-users@NetBSD.org
+HOMEPAGE=	http://www.xfce.org/
+COMMENT=	Xfce appfinder
+LICENSE=	gnu-gpl-v2
+
+GNU_CONFIGURE=	yes
+USE_LIBTOOL=	yes
+USE_PKGLOCALEDIR=yes
+USE_TOOLS+=	gmake pkg-config msgfmt perl intltool
+
+.include "../../x11/libxfce4ui/buildlink3.mk"
+.include "../../x11/garcon/buildlink3.mk"
 
-.include "../../devel/xfconf/buildlink3.mk"
-.include "../../graphics/hicolor-icon-theme/buildlink3.mk"
 .include "../../sysutils/desktop-file-utils/desktopdb.mk"
-.include "../../sysutils/xfce4-thunar/buildlink3.mk"
-.include "../../x11/libxfce4gui/buildlink3.mk"
-.include "../../x11/libxfce4menu/buildlink3.mk"
-.include "../../x11/libxfce4util/buildlink3.mk"
+
 .include "../../mk/bsd.pkg.mk"
diff --git sysutils/xfce4-appfinder/PLIST sysutils/xfce4-appfinder/PLIST
index a0d9041..e625332 100644
--- sysutils/xfce4-appfinder/PLIST
+++ sysutils/xfce4-appfinder/PLIST
@@ -1,10 +1,14 @@
-@comment $NetBSD: PLIST,v 1.11 2009/09/16 01:15:34 reed Exp $
+@comment $NetBSD$
 bin/xfce4-appfinder
+bin/xfrun4
 share/applications/xfce4-appfinder.desktop
-share/icons/hicolor/48x48/apps/xfce4-appfinder.png
+share/applications/xfce4-run.desktop
 share/locale/am/LC_MESSAGES/xfce4-appfinder.mo
 share/locale/ar/LC_MESSAGES/xfce4-appfinder.mo
+share/locale/ast/LC_MESSAGES/xfce4-appfinder.mo
 share/locale/be/LC_MESSAGES/xfce4-appfinder.mo
+share/locale/bg/LC_MESSAGES/xfce4-appfinder.mo
+share/locale/bn/LC_MESSAGES/xfce4-appfinder.mo
 share/locale/bn_IN/LC_MESSAGES/xfce4-appfinder.mo
 share/locale/ca/LC_MESSAGES/xfce4-appfinder.mo
 share/locale/cs/LC_MESSAGES/xfce4-appfinder.mo
@@ -24,12 +28,15 @@ share/locale/fr/LC_MESSAGES/xfce4-appfinder.mo
 share/locale/gl/LC_MESSAGES/xfce4-appfinder.mo
 share/locale/gu/LC_MESSAGES/xfce4-appfinder.mo
 share/locale/he/LC_MESSAGES/xfce4-appfinder.mo
+share/locale/hr/LC_MESSAGES/xfce4-appfinder.mo
 share/locale/hu/LC_MESSAGES/xfce4-appfinder.mo
 share/locale/hy/LC_MESSAGES/xfce4-appfinder.mo
 share/locale/id/LC_MESSAGES/xfce4-appfinder.mo
+share/locale/is/LC_MESSAGES/xfce4-appfinder.mo
 share/locale/it/LC_MESSAGES/xfce4-appfinder.mo
 share/locale/ja/LC_MESSAGES/xfce4-appfinder.mo
 share/locale/ka/LC_MESSAGES/xfce4-appfinder.mo
+share/locale/kk/LC_MESSAGES/xfce4-appfinder.mo
 share/locale/ko/LC_MESSAGES/xfce4-appfinder.mo
 share/locale/ku/LC_MESSAGES/xfce4-appfinder.mo
 share/locale/lt/LC_MESSAGES/xfce4-appfinder.mo
@@ -38,6 +45,7 @@ share/locale/mk/LC_MESSAGES/xfce4-appfinder.mo
 share/locale/mr/LC_MESSAGES/xfce4-appfinder.mo
 share/locale/nb/LC_MESSAGES/xfce4-appfinder.mo
 share/locale/nl/LC_MESSAGES/xfce4-appfinder.mo
+share/locale/nn/LC_MESSAGES/xfce4-appfinder.mo
 share/locale/pa/LC_MESSAGES/xfce4-appfinder.mo
 share/locale/pl/LC_MESSAGES/xfce4-appfinder.mo
 share/locale/pt/LC_MESSAGES/xfce4-appfinder.mo
@@ -47,9 +55,14 @@ share/locale/ru/LC_MESSAGES/xfce4-appfinder.mo
 share/locale/si/LC_MESSAGES/xfce4-appfinder.mo
 share/locale/sk/LC_MESSAGES/xfce4-appfinder.mo
 share/locale/sq/LC_MESSAGES/xfce4-appfinder.mo
+share/locale/sr/LC_MESSAGES/xfce4-appfinder.mo
 share/locale/sv/LC_MESSAGES/xfce4-appfinder.mo
+share/locale/te/LC_MESSAGES/xfce4-appfinder.mo
 share/locale/tr/LC_MESSAGES/xfce4-appfinder.mo
+share/locale/ug/LC_MESSAGES/xfce4-appfinder.mo
 share/locale/uk/LC_MESSAGES/xfce4-appfinder.mo
 share/locale/ur/LC_MESSAGES/xfce4-appfinder.mo
+share/locale/ur_PK/LC_MESSAGES/xfce4-appfinder.mo
+share/locale/vi/LC_MESSAGES/xfce4-appfinder.mo
 share/locale/zh_CN/LC_MESSAGES/xfce4-appfinder.mo
 share/locale/zh_TW/LC_MESSAGES/xfce4-appfinder.mo
diff --git sysutils/xfce4-appfinder/distinfo sysutils/xfce4-appfinder/distinfo
index eca0fec..dbb6cad 100644
--- sysutils/xfce4-appfinder/distinfo
+++ sysutils/xfce4-appfinder/distinfo
@@ -1,6 +1,5 @@
-$NetBSD: distinfo,v 1.11 2012/03/05 13:32:58 roy Exp $
+$NetBSD$
 
-SHA1 (xfce4-appfinder-4.6.1.tar.bz2) = ecc1f2c6afec8cfb79464a34d23f94c6ed7d017e
-RMD160 (xfce4-appfinder-4.6.1.tar.bz2) = 00487ac1c963b0c7085d7725e05a0928412c8295
-Size (xfce4-appfinder-4.6.1.tar.bz2) = 314040 bytes
-SHA1 (patch-src_xfce-appfinder-window.c) = 28d3f0d3e96d291248b1dcb475066e3a22ef60b9
+SHA1 (xfce4-appfinder-4.10.1.tar.bz2) = 5d8295faa8143bcd0b4985eb9f28fdc56d63fce2
+RMD160 (xfce4-appfinder-4.10.1.tar.bz2) = 8aaf848e8eb6e9a18be716bc80f4b19f095e6fb6
+Size (xfce4-appfinder-4.10.1.tar.bz2) = 446043 bytes
diff --git wm/xfwm4/DESCR wm/xfwm4/DESCR
new file mode 100644
index 0000000..5126f0b
--- /dev/null
+++ wm/xfwm4/DESCR
@@ -0,0 +1 @@
+Xfce window manager
diff --git wm/xfwm4/Makefile wm/xfwm4/Makefile
new file mode 100644
index 0000000..460eae0
--- /dev/null
+++ wm/xfwm4/Makefile
@@ -0,0 +1,27 @@
+# $NetBSD$
+
+DISTNAME=	xfwm4-4.10.1
+CATEGORIES=	wm
+MASTER_SITES=	http://archive.xfce.org/src/xfce/xfwm4/4.10/
+EXTRACT_SUFX=	.tar.bz2
+
+MAINTAINER=	pkgsrc-users@NetBSD.org
+HOMEPAGE=	http://www.xfce.org/
+COMMENT=	Xfce window manager
+LICENSE=	gnu-gpl-v2
+
+GNU_CONFIGURE=	yes
+USE_LIBTOOL=	yes
+USE_PKGLOCALEDIR=yes
+USE_TOOLS+=	gmake pkg-config msgfmt perl intltool
+
+CONFLICTS+=	xfce4-wm-[0-9]*
+
+.include "../../x11/libxfce4ui/buildlink3.mk"
+.include "../../devel/xfconf/buildlink3.mk"
+.include "../../devel/libwnck/buildlink3.mk"
+.include "../../graphics/hicolor-icon-theme/buildlink3.mk"
+
+.include "../../sysutils/desktop-file-utils/desktopdb.mk"
+
+.include "../../mk/bsd.pkg.mk"
